{% extends "story4/base.html" %}

{% block content %}
{% load static %}
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
<title>Register Your Account</title>
<h1 id="h11" style = "font-size:9vw">Register</h1>
    </div>

    <div class="jarak" style="margin-top: 250px;"></div>
	<style>
		@import url('https://fonts.googleapis.com/css?family=Muli:400,700&display=swap');
		p{
			font-family: 'Muli', sans-serif;
			font-size: 20px;
			color:aliceblue
		}
	</style>
	<div class="container h-100">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card" >
				<div class="d-flex justify-content-center form_container">

					<form method="POST" action="">
						{% csrf_token %}
						<div class="input-group mb-2" style="width:400px">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>
							{{form.username}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
							</div>
							{{form.email}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password1}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password2}}
						</div>



				   		<div class="d-flex justify-content-center mt-3 login_container">
				 			<input class="btn login_btn" type="submit" value="Register Account">
				   		</div>

					</form>
				</div>

				{{form.errors}}
				
				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						<p>Already have an account?</p> <a href="{% url 'story9:login' %}" class="ml-2"><p style="color:rgb(151, 179, 238)">Login</p></a>
					</div>
				</div>
			</div>
		</div>
	</div>

<script>
var form_fields = document.getElementsByTagName('input')
	form_fields[1].placeholder='Username..';
	form_fields[2].placeholder='Email..';
	form_fields[3].placeholder='Enter password...';
	form_fields[4].placeholder='Re-enter Password...';


	for (var field in form_fields){	
		form_fields[field].className += ' form-control'
	}
</script>


{% endblock %}